
 LinHES - Bug # 362: System boots but LinHES won't start

Status: Closed Priority: Normal
Author: craigtv Category:
Created: 05/25/2009 Assignee:
Updated: 05/30/2009 Due date:
Description: r6.00.08 has been running fine, but after I made changes in the LinHES Service menu, LinHES won't start 

after a reboot.

All of the services are running fine, and I can start the UI manually with:

<code>/usr/LH/bin/LinHES-start</code>

I can't attempt to reproduce this until I figure out how to get the startup working again, but in the Service 
menu, I know I was making changes to sound, software, and remotes.

History
05/26/2009 08:04 pm - craigtv
Thanks to jams over at the forums, I'm back in business.  The frontend service was missing for some reason, so I added it back in with:

<code php>add_service.sh frontend</code>

I'll go back now and try to retrace what I did to make the service disappear.  I was in a number of the service menus, so maybe something there ...

05/26/2009 08:43 pm - jams
please attach /etc/systemconfig it will show the current configuration and if it thinks the FE service should be enabled or not.

05/26/2009 10:52 pm - craigtv
I've attached my systemconfig, but I don't think it will tell you much.  In trying to recreate the issue, I wiped my mythconverg database, as if I were doing 
a clean install.  Fortunately, I had a recent backup.

I'll post that as a separate ticket, and in the mean time, I'll keep trying to reproduce the issue.  I know it was correct after installation, as I rebooted a 
number of times.  It was after changing things in the LinHES service menus that the service went away.

05/29/2009 11:28 pm - craigtv
I have spent some time trying to recreate this, and I think it has something to do with upgrading from a previous version, and selecting Standalone as 
the System Type.  The service menus don't seem to retain the host setting, and that causes updates from many of the service menu to do strange 
things.  At one point, I attempted to escape back from the System Type and I got a message saying setting host name to "Enter Hostname Here".  It 
then wiped my mythconverg database.  I suspect (but haven't been able to confirm) that my database had my hostname in it, and the standalone 
attempted to set it to localhost in the database.  I want back through the config and selected Master Backend, and go much better results, and haven't 
had any problem since.  I also think there a number of reports in Flyspray related to this.  I found services would to missing, and generally weird 
behavior depending on what sequence you attempt to save the service menus.

Here's a snippet from my mythfrontend log when I tried System type, and the installation "hung," spitting the following over and over in the log:

<code>Daemons on boot
c restore
t syssettings
template is syssettings
/usr/MythVantage/bin/restore_default_settings.sh: option requires an argument -- d
0
ERROR 2005 (HY000): Unknown MySQL server host 'mythconverg' (1)
-c restore -t syssettings -d failed
1
c restore
t syssettings
template is syssettings
/usr/MythVantage/bin/restore_default_settings.sh: option requires an argument -- d
0
</code>

Here's another few lines where I'm trying to save my sound settings.  You can see a hostname appears to be missing and it's trying to interpret 
mythconverg as the host.

<code>
> SoundDevice=""
c save
t syssettings
template is syssettings
/usr/MythVantage/bin/restore_default_settings.sh: option requires an argument -- d
0
ERROR 2005 (HY000): Unknown MySQL server host 'mythconverg' (1)
-c save -t syssettings -d failed
audio
----------------------start of systemconfig audio ----------------------
cat: /usr/local/share/mythtv/.releasetype: No such file or directory
Hostipack
audio
t real
i ALSA
/usr/MythVantage/bin/soundconfig.sh: option requires an argument -- d
unkown option
  Starting to install Packages
</code>

05/30/2009 10:00 am - jams
These errors all stem from an earlier problem.  What appears to have happened is a database was restored that didn't have the linhes settings.  This 
would occur if an R5 database was restored into R6 without going through the install.  Another possible thing that could have occured is DHCP is used 
and the ip address changed from when the system was installed.  Either one of these would cause communication problems with the database.

05/30/2009 10:42 am - craigtv
You are correct, I did restore my R5 database, but I did that as a the database got wiped (as I reported in task 364), and I was trying to avoid going 
through the complete config again.  That occurred a couple of days after I went through the install/upgrade from the LinHES CD, when I was trying to 
install software from the config menus.  I assume the more proper thing to do would have been a complete reinstall?

I do use DHCP, but I have a reservation, so my myth box always receives the same IP.

At this point, I've got everything stable, and I've done a backup under R6, so I should be good to go.  If there's anything further I can provide to try and 
determine what went wrong initially, let me know, otherwise, I guess you can close this out, as I *really* don't want to reproduce it now:-)

Files
systemconfig 1.8 kB 05/26/2009 admin
